Bug Hunting Session
Bug 45651 - : Dark GTK themes still wrong
Summary: : Dark GTK themes still wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: BSA target:3.7.0 target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-05 04:24 UTC by steveamigauk
Modified: 2013-11-17 11:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The image shows a widget factory grab showing correct colours next to an LO preferences window showing the wrong colours. (156.60 KB, image/png)
2012-02-05 04:24 UTC, steveamigauk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steveamigauk 2012-02-05 04:24:21 UTC
Created attachment 56621 [details]
The image shows a widget factory grab showing correct colours next to an LO preferences window showing the wrong colours.

Problem description: 

Steps to reproduce:
1. Open LO

Current behavior:

text colours on the window background and buttons are not picked up from the theme

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0
Comment 1 sasha.libreoffice 2012-05-15 03:58:51 UTC
Thanks for bugreport
Please, verify if in last version of LibreOffice (and OS) still reproducible
Comment 2 steveamigauk 2012-05-15 04:25:19 UTC
Confirmed still present in latest:

LibreOffice 3.5.3.2 
Build ID: 350m1(Build:2)
Comment 3 sasha.libreoffice 2012-05-15 05:01:07 UTC
Thanks for additional testing
Please, provide this information: name and version of distro, and from where office installed: office site or distro repo.
And which theme used.
Comment 4 steveamigauk 2012-05-15 05:19:08 UTC
Distro is Arch - version N/A - fully updated from testing. LibreOffice installed from Arch repo (not AUR).

GTK theme is plastiq (http://gnome-look.org/content/show.php/Plastiq+Gtk3?content=142937) on xfce 4.10 desktop.
Comment 5 sasha.libreoffice 2012-05-15 07:13:44 UTC
Thanks for additional information
May be reproducible in another distro or desktop or in installs from libreoffice.org.
Especially interesting if it reproducible on one of this: Ubuntu/Debian/Fedora/SUSE and on KDE/Gnome
Comment 6 Not Assigned 2012-10-12 04:34:35 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b19ff316441fb2d1f0537e008ea8b6fdec307224

fdo#45651: gtk: fix text color with dark themes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Ivan Timofeev (retired) 2012-10-12 04:43:16 UTC
Mostly fixed, there is still a problem with dropdown listboxes...
Comment 8 Not Assigned 2012-12-03 13:42:03 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ea7b2053eea6cf9e97f4846d97f741eed426033

fdo#45651: fix drop down listbox text color with dark gtk theme



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2013-11-17 09:28:52 UTC
Ivan: could we consider this bug as fixed or are there still corner cases?
Comment 10 Ivan Timofeev (retired) 2013-11-17 11:20:05 UTC
Oh, IIRC it is fixed.